Processes
34 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List processes with filters + pagination#
Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceId | Query | string | – |
status | Query | string | – |
requestType | Query | string | – |
search | Query | string | – |
page | Query | string | – |
pageSize | Query | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/processes" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Create a process#
Request-Bodyapplication/jsonCreateProcessDto
| Name | Typ | Beschreibung |
|---|
space_idPflicht | string | Space this process belongs to |
titlePflicht | string | Beispiel: IT Security Risk Assessment |
description | string | – |
request_typePflicht | string | Werte: RisikoGeschäftsprozessbewertungProzessbewertungServicebewertungAssetbewertungSchwachstelleMaßnahmeAssetgroup |
status | string | Werte: activeinactivearchiveddraft Standard: "active" |
hierarchy_level_id | string | Hierarchy level ID from hierarchy-config |
parent_ids | string[] | Parent process UUIDs (multi-parent) |
parent_id | string | Legacy single parent process UUID |
assigned_to | string | UUID of owner/assignee |
sort_order | number | Beispiel: 0 |
vuln_c_p | number | – |
vuln_c_i | number | – |
vuln_i_p | number | – |
vuln_i_i | number | – |
vuln_a_p | number | – |
vuln_a_i | number | – |
action_c_p | number | – |
action_c_i | number | – |
action_i_p | number | – |
action_i_i | number | – |
action_a_p | number | – |
action_a_i | number | – |
custom_field_values | object | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/processes" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"space_id":"…","title":"IT Security Risk Assessment","request_type":"Risiko"}'
GET /processes/{id}#
Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/processes/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
PUT /processes/{id}#
Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonUpdateProcessDto
| Name | Typ | Beschreibung |
|---|
title | string | – |
description | string | – |
request_type | string | Werte: RisikoGeschäftsprozessbewertungProzessbewertungServicebewertungAssetbewertungSchwachstelleMaßnahmeAssetgroup |
status | string | Werte: activeinactivearchiveddraft |
hierarchy_level_id | object | – |
parent_ids | string[] | – |
parent_id | object | – |
assigned_to | object | – |
sort_order | number | – |
vuln_c_p | number | – |
vuln_c_i | number | – |
vuln_i_p | number | – |
vuln_i_i | number | – |
vuln_a_p | number | – |
vuln_a_i | number | – |
action_c_p | number | – |
action_c_i | number | – |
action_i_p | number | – |
action_i_i | number | – |
action_a_p | number | – |
action_a_i | number | – |
custom_field_values | object | – |
Antworten
curl -X PUT "https://xapi.ambertech.cloud/api/v1/processes/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"title":"…","description":"…","request_type":"Risiko"}'
Quick actions: reorder, partial_update#
PATCH/processes/{id}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonPatchProcessDto
| Name | Typ | Beschreibung |
|---|
actionPflicht | string | Werte: reorderpartial_update |
items | ProcessReorderItemDto[] | – |
Antworten
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/processes/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"action":"reorder"}'
DELETE /processes/{id}#
DELETE/processes/{id}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/processes/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
List attachments for a process#
GET/processes/{id}/attachmentsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | Process UUID |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/processes/{id}/attachments" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Upload a file attachment for a process#
POST/processes/{id}/attachmentsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | Process UUID |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/processes/{id}/attachments" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Get signed download URL for an attachment#
GET/processes/{id}/attachments/{attachmentId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
attachmentIdPflicht | Pfad | string | Attachment UUID |
idPflicht | Pfad | any | Process UUID |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/processes/{id}/attachments/{attachmentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Delete a process attachment#
DELETE/processes/{id}/attachments/{attachmentId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
attachmentIdPflicht | Pfad | string | Attachment UUID |
idPflicht | Pfad | any | Process UUID |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/processes/{id}/attachments/{attachmentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET/processes/{id}/commentsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | Process UUID |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/processes/{id}/comments" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST/processes/{id}/commentsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | Process UUID |
Request-Bodyapplication/jsonCreateProcessCommentDto
| Name | Typ | Beschreibung |
|---|
contentPflicht | string | Comment content — supports HTML (max 10000 chars) |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/processes/{id}/comments" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"content":"…"}'
PUT/processes/{id}/comments/{commentId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | Process UUID |
commentIdPflicht | Pfad | string | Comment UUID |
Request-Bodyapplication/jsonUpdateProcessCommentDto
| Name | Typ | Beschreibung |
|---|
contentPflicht | string | Updated comment content — supports HTML (max 10000 chars) |
Antworten
curl -X PUT "https://xapi.ambertech.cloud/api/v1/processes/{id}/comments/{commentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"content":"…"}'
DELETE/processes/{id}/comments/{commentId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | Process UUID |
commentIdPflicht | Pfad | string | Comment UUID |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/processes/{id}/comments/{commentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Get process diagram#
GET/processes/{id}/diagramToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | Process UUID |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/processes/{id}/diagram" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Upsert process diagram (create or update)#
PUT/processes/{id}/diagramToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | Process UUID |
Request-Bodyapplication/jsonUpsertDiagramDto
| Name | Typ | Beschreibung |
|---|
xmlPflicht | string | draw.io XML content for the diagram |
previewSvg | string | SVG preview string |
Antworten
curl -X PUT "https://xapi.ambertech.cloud/api/v1/processes/{id}/diagram" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"xml":"…"}'
Get change history for a process#
GET/processes/{id}/historyToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/processes/{id}/history" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /processes/{id}/relationships#
GET/processes/{id}/relationshipsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/processes/{id}/relationships" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Add a parent-child relationship (the :id is the child)#
POST/processes/{id}/relationshipsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonCreateProcessRelationshipDto
| Name | Typ | Beschreibung |
|---|
parent_process_idPflicht | string | Parent process UUID |
relation_type_id | string | Relation type UUID (from relation_types) |
relationship_type | string | Relationship kind (text label) |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/processes/{id}/relationships" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"parent_process_id":"…"}'
DELETE /processes/{id}/relationships/{relationshipId}#
DELETE/processes/{id}/relationships/{relationshipId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
relationshipIdPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/processes/{id}/relationships/{relationshipId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Get a process by its key (e.g. HR-P42)#
GET/processes/by-key/{key}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
keyPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/processes/by-key/{key}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /spaces/{spaceId}/processes#
GET/spaces/{spaceId}/processesToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
statusPflicht | Query | string | – |
request_typePflicht | Query | string | – |
requestTypePflicht | Query | string | – |
searchPflicht | Query | string | – |
pagePflicht | Query | string | – |
pageSizePflicht | Query | string | – |
withParentsPflicht | Query | string | – |
with_parentsPflicht | Query | string | – |
page_sizePflicht | Query | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST /spaces/{spaceId}/processes#
POST/spaces/{spaceId}/processesToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /spaces/{spaceId}/processes/{processId}#
GET/spaces/{spaceId}/processes/{processId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
processIdPflicht | Pfad | string | – |
withParentsPflicht | Query | string | – |
with_parentsPflicht | Query | string | – |
treePflicht | Query | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/{processId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
PUT /spaces/{spaceId}/processes/{processId}#
PUT/spaces/{spaceId}/processes/{processId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
processIdPflicht | Pfad | string | – |
Antworten
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/{processId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
DELETE /spaces/{spaceId}/processes/{processId}#
DELETE/spaces/{spaceId}/processes/{processId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
processIdPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/{processId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /spaces/{spaceId}/processes/{processId}/attachments#
GET/spaces/{spaceId}/processes/{processId}/attachmentsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
processIdPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/{processId}/attachments" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST /spaces/{spaceId}/processes/{processId}/attachments#
POST/spaces/{spaceId}/processes/{processId}/attachmentsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
processIdPflicht | Pfad | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/{processId}/attachments" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /spaces/{spaceId}/processes/{processId}/attachments/{attachmentId}#
GET/spaces/{spaceId}/processes/{processId}/attachments/{attachmentId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
attachmentIdPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/{processId}/attachments/{attachmentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
DELETE /spaces/{spaceId}/processes/{processId}/attachments/{attachmentId}#
DELETE/spaces/{spaceId}/processes/{processId}/attachments/{attachmentId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
attachmentIdPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/{processId}/attachments/{attachmentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /spaces/{spaceId}/processes/{processId}/diagram#
GET/spaces/{spaceId}/processes/{processId}/diagramToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
processIdPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/{processId}/diagram" \
-H "Authorization: Bearer $XISUITE_TOKEN"
PUT /spaces/{spaceId}/processes/{processId}/diagram#
PUT/spaces/{spaceId}/processes/{processId}/diagramToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
processIdPflicht | Pfad | string | – |
Antworten
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/{processId}/diagram" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /spaces/{spaceId}/processes/by-key/{key}#
GET/spaces/{spaceId}/processes/by-key/{key}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
keyPflicht | Pfad | string | – |
withParentsPflicht | Query | string | – |
with_parentsPflicht | Query | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/by-key/{key}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST /spaces/{spaceId}/processes/reorder#
POST/spaces/{spaceId}/processes/reorderToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Pfad | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/processes/reorder" \
-H "Authorization: Bearer $XISUITE_TOKEN"